Package org.linphone.core

# Enum Class Ldap.Check

java.lang.Object
java.lang.Enum<Ldap.Check>
org.linphone.core.Ldap.Check

All Implemented Interfaces:
  `Serializable`, `Comparable<Ldap.Check>`, `Constable`

Enclosing interface:
  `Ldap`

public static enum Ldap.Check extends Enum<Ldap.Check>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BaseObjectEmpty`
Base Object has been specified.
`MissingFields`
Some required fields are missing.
`Ok`
No error.
`ServerEmpty`
Server field is empty.
`ServerLdaps`
LDAP over SSL is non-standardized and deprecated: ldaps has been specified.
`ServerNoScheme`
The server doesn't contain a scheme.
`ServerNotLdap`
The server is not a LDAP scheme.
`ServerNotUrl`
The server is not an url.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Ldap.Check`
`fromInt(int value)`
`int`
`toInt()`
`static Ldap.Check`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Ldap.Check[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Ok

public static final Ldap.Check Ok
No error.

### ServerEmpty

public static final Ldap.Check ServerEmpty
Server field is empty.

### ServerNotUrl

public static final Ldap.Check ServerNotUrl
The server is not an url.

### ServerNoScheme

public static final Ldap.Check ServerNoScheme
The server doesn't contain a scheme.

### ServerNotLdap

public static final Ldap.Check ServerNotLdap
The server is not a LDAP scheme.

### ServerLdaps

public static final Ldap.Check ServerLdaps
LDAP over SSL is non-standardized and deprecated: ldaps has been specified.

### BaseObjectEmpty

public static final Ldap.Check BaseObjectEmpty
Base Object has been specified.

### MissingFields

public static final Ldap.Check MissingFields
Some required fields are missing.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Ldap.Check[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Ldap.Check valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Ldap.Check fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()